package page

// 服务端用

const (
	DefaultFrontPage     = 1
	DefaultFrontPageSize = 10
	MinFrontPageSize     = 1
	MaxFrontPageSize     = 100
)

type PaginationFront struct {
	Page    int32 `json:"page"`
	PerPage int32 `json:"per_page"`
	Total   int32 `json:"total"`
}

func FrontToBackend[T Integer](frontPage, frontPerPage T) (page, pageSize T) {
	if frontPage < DefaultFrontPage {
		frontPage = DefaultPage
	}

	if frontPerPage <= 0 {
		frontPerPage = DefaultFrontPageSize
	}

	if frontPerPage <= MinFrontPageSize {
		frontPerPage = MinFrontPageSize
	}

	if frontPerPage >= MaxFrontPageSize {
		frontPerPage = MaxPageSize
	}
	page = frontPage
	pageSize = frontPerPage
	return
}
