package es

import (
	"context"
	"encoding/json"
	"gitea.drugeyes.vip/pharnexbase/utils/glog/v1"
	"github.com/elastic/go-elasticsearch/v7/esapi"
)

func IsError(ctx context.Context, res *esapi.Response) bool {
	if res.IsError() {
		var e map[string]interface{}
		if err := json.NewDecoder(res.Body).Decode(&e); err != nil {
			glog.Glog.WithContext(ctx).Error("Error parsing the response body:", err)
		}
		glog.Glog.WithContext(ctx).Errorf("[%s] %s: %s",
			res.Status(),
			e["error"].(map[string]interface{})["type"],
			e["error"].(map[string]interface{})["reason"],
		)
		return true
	}
	return false
}
